> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Providers

> List all registered validation providers.

Requires authentication via X-API-Key header.

Args:
    api_key: Validated API key from header

Returns:
    List of ProviderRegistration objects



## OpenAPI

````yaml /api-reference/openapi.json get /v1/providers
openapi: 3.1.0
info:
  title: Limitguard.ai
  description: >-
    Lead validation API: the company behind each lead checked against the NL and
    BE business registers, EU VAT and sanctions lists, plus company, KYB and
    agent wallet checks for developers and AI agents
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/providers:
    get:
      summary: List Providers
      description: |-
        List all registered validation providers.

        Requires authentication via X-API-Key header.

        Args:
            api_key: Validated API key from header

        Returns:
            List of ProviderRegistration objects
      operationId: list_providers_v1_providers_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ProviderRegistration'
                type: array
                title: Response List Providers V1 Providers Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    ProviderRegistration:
      properties:
        provider_id:
          type: string
          title: Provider Id
          description: Unique provider UUID
        name:
          type: string
          title: Name
          description: Provider name
        endpoint_url:
          type: string
          title: Endpoint Url
          description: Provider API endpoint URL
        supported_checks:
          items:
            type: string
          type: array
          title: Supported Checks
          description: List of validation check types supported
        registered_at:
          type: string
          format: date-time
          title: Registered At
          description: Registration timestamp
        status:
          type: string
          title: Status
          description: Provider status
          default: active
        trust_level:
          type: string
          title: Trust Level
          description: Provider trust level
          default: verified
      type: object
      required:
        - provider_id
        - name
        - endpoint_url
        - supported_checks
        - registered_at
      title: ProviderRegistration
      description: Validation provider registration.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.